Page MenuHomePhabricator

Notice: Use of undefined constant SMW_NS_PROPERTY
Closed, ResolvedPublic

Description

Starting with the 1.9 release cycle and due to a changes in how SMW recognizes configuration variables, settings related to [0] need to be adopted.

See [1], [2]

[0] SMW_NS_PROPERTY, SMW_NS_TYPE, SMW_NS_CONCEPT

[1] https://bugzilla.wikimedia.org/show_bug.cgi?id=57760#c41

[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=58182


Version: unspecified
Severity: normal

Details

Reference
bz58190

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:32 AM
bzimport set Reference to bz58190.
bzimport added a subscriber: Unknown Object (MLST).
mwjames created this task.Dec 8 2013, 10:13 PM
Stefahn reopened this task as Open.Feb 20 2019, 5:01 PM
Stefahn added a subscriber: Stefahn.

It seems this issue is back.

I used SMW and PageForm constants in my LocalSettings.php and I got the following errors in my php_errors.log:

Use of undefined constant SMW_NS_PROPERTY - assumed 'SMW_NS_PROPERTY'
Use of undefined constant SMW_NS_PROPERTY_TALK - assumed 'SMW_NS_PROPERTY_TALK'
Use of undefined constant SMW_NS_CONCEPT - assumed 'SMW_NS_CONCEPT'
Use of undefined constant SMW_NS_CONCEPT_TALK - assumed 'SMW_NS_CONCEPT_TALK' 
Use of undefined constant PF_NS_FORM - assumed 'PF_NS_FORM'
Use of undefined constant PF_NS_FORM_TALK - assumed 'PF_NS_FORM_TALK'

Running MediaWiki 1.27.5, PHP 7.1.9 (fpm-fcgi), SMW 2.5.7 and Page Forms 4.2.

Aklapper closed this task as Resolved.Feb 25 2019, 8:26 AM
Aklapper added a subscriber: Aklapper.